Subject: [bug#73028] [PATCH] doc: Document usage of #:out-of-source? for meson-build-system.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 22 Sep 2024 14:57:58 +0900

Hi Dariqq,

Dariqq <[email-masked]> writes:

> On 14.09.24 15:41, Maxim Cournoyer wrote:
>> Hi Dariqq,
>> Dariqq <[email-masked]> writes:
>> 
>>>
>>> This does not work. I tried adding that to the arguments in the bag
>>> (and reverting the previous patch) but get an error:
>>>
>>> Unrecognized keyword: #:out-of-source?
>>>
>>> I guess this is because meson-(cross-)build now get a keyword they
>>> don't know.
>> Hm.  Thanks for trying it out.
>> 
> Not an expert on how this works but it looks like when a phase has a
> keyword that is not being passed in by the build-system it is treated
> as #f even if there is no default parameter specified in
> install-license-files function itself.
>
> If there is no easy other way what about leaving the parameter
> undocumented as is? Maybe Ludo can elaborate on what the original
> concern was?

Unless someone is able to explain what the use case is for its behavior,
I think that's what I would do. It's easy and we don't have to commit to
preserving that behavior forever if it doesn't have an actual use.

-- 
Thanks,
Maxim